<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionBarrierGate Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/d23/a03717.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">ExpansionBarrierGate Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><br  />
  
 <a href="../../d3/d23/a03717.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for ExpansionBarrierGate:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d3/d23/a03717.png" usemap="#ExpansionBarrierGate_map" alt=""/>
  <map id="ExpansionBarrierGate_map" name="ExpansionBarrierGate_map">
<area href="../../d9/da3/a03673.html" title="This class handle base class of expansion basebuilding" alt="ExpansionBaseBuilding" shape="rect" coords="0,0,143,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a7837ba89aadef2466f9fb9b0c5ffb22e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d23/a03717.html#a7837ba89aadef2466f9fb9b0c5ffb22e">ExpansionBarrierGate</a> ()</td></tr>
<tr class="separator:a7837ba89aadef2466f9fb9b0c5ffb22e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a521dec4698d884de38d32a1ab6236649"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d23/a03717.html#a521dec4698d884de38d32a1ab6236649">~ExpansionBarrierGate</a> ()</td></tr>
<tr class="separator:a521dec4698d884de38d32a1ab6236649"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae373efc8e077700a29312da0a52876b4"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d23/a03717.html#ae373efc8e077700a29312da0a52876b4">CanPutIntoHands</a> (EntityAI parent)</td></tr>
<tr class="separator:ae373efc8e077700a29312da0a52876b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9637f1e8e804981d620b6e0c618a53d"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d23/a03717.html#ad9637f1e8e804981d620b6e0c618a53d">CanPutInCargo</a> (EntityAI parent)</td></tr>
<tr class="separator:ad9637f1e8e804981d620b6e0c618a53d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a108c774e5a89b0ea6a29e8adca0b0ad7"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d23/a03717.html#a108c774e5a89b0ea6a29e8adca0b0ad7">IsInventoryVisible</a> ()</td></tr>
<tr class="separator:a108c774e5a89b0ea6a29e8adca0b0ad7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19488c9bffb47384ca1bbd230507b41c"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d23/a03717.html#a19488c9bffb47384ca1bbd230507b41c">GetConstructionKitType</a> ()</td></tr>
<tr class="separator:a19488c9bffb47384ca1bbd230507b41c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2b880a68d5607a63eb88e468c68d4a9"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d23/a03717.html#aa2b880a68d5607a63eb88e468c68d4a9">ExpansionCanOpen</a> (<a class="el" href="../../db/d1a/a03849.html">PlayerBase</a> player, <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> selection)</td></tr>
<tr class="separator:aa2b880a68d5607a63eb88e468c68d4a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affe64317670361fe3d336411affa79c5"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d23/a03717.html#affe64317670361fe3d336411affa79c5">ExpansionCanClose</a> (<a class="el" href="../../db/d1a/a03849.html">PlayerBase</a> player, <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> selection)</td></tr>
<tr class="separator:affe64317670361fe3d336411affa79c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86a68b4a47813e1d50193a35a396146b"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d23/a03717.html#a86a68b4a47813e1d50193a35a396146b">CanClose</a> (<a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> selection)</td></tr>
<tr class="separator:a86a68b4a47813e1d50193a35a396146b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6535e775aecfca9c1efc3c2fe0a3676"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d23/a03717.html#af6535e775aecfca9c1efc3c2fe0a3676">Open</a> (<a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> selection)</td></tr>
<tr class="separator:af6535e775aecfca9c1efc3c2fe0a3676"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafe623c55f6636233d56c1ad28f106c6"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d23/a03717.html#aafe623c55f6636233d56c1ad28f106c6">Close</a> (<a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> selection)</td></tr>
<tr class="separator:aafe623c55f6636233d56c1ad28f106c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a555dbc6d645ffebe0e17bf6be3072e10"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d23/a03717.html#a555dbc6d645ffebe0e17bf6be3072e10">CanBeDamaged</a> ()</td></tr>
<tr class="separator:a555dbc6d645ffebe0e17bf6be3072e10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe3c42391534c3272c02a8fa3b26c4d5"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d23/a03717.html#abe3c42391534c3272c02a8fa3b26c4d5">AfterStoreLoad</a> ()</td></tr>
<tr class="separator:abe3c42391534c3272c02a8fa3b26c4d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c22a6a0373781097d43548434fccea2"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d23/a03717.html#a9c22a6a0373781097d43548434fccea2">SetPartsAfterStoreLoad</a> ()</td></tr>
<tr class="separator:a9c22a6a0373781097d43548434fccea2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><br  />
 </p>
<p ><a class="el" href="../../dc/d50/a00332.html">ExpansionBarrierGate.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d50/a00332_source.html#l00016">16</a> of file <a class="el" href="../../dc/d50/a00332_source.html">expansionbarriergate.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a7837ba89aadef2466f9fb9b0c5ffb22e" name="a7837ba89aadef2466f9fb9b0c5ffb22e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7837ba89aadef2466f9fb9b0c5ffb22e">&#9670;&#160;</a></span>ExpansionBarrierGate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionBarrierGate::ExpansionBarrierGate </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d50/a00332_source.html#l00021">21</a> of file <a class="el" href="../../dc/d50/a00332_source.html">expansionbarriergate.c</a>.</p>

</div>
</div>
<a id="a521dec4698d884de38d32a1ab6236649" name="a521dec4698d884de38d32a1ab6236649"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a521dec4698d884de38d32a1ab6236649">&#9670;&#160;</a></span>~ExpansionBarrierGate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionBarrierGate::~ExpansionBarrierGate </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d50/a00332_source.html#l00029">29</a> of file <a class="el" href="../../dc/d50/a00332_source.html">expansionbarriergate.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="abe3c42391534c3272c02a8fa3b26c4d5" name="abe3c42391534c3272c02a8fa3b26c4d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abe3c42391534c3272c02a8fa3b26c4d5">&#9670;&#160;</a></span>AfterStoreLoad()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionBarrierGate::AfterStoreLoad </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d50/a00332_source.html#l00161">161</a> of file <a class="el" href="../../dc/d50/a00332_source.html">expansionbarriergate.c</a>.</p>

</div>
</div>
<a id="a555dbc6d645ffebe0e17bf6be3072e10" name="a555dbc6d645ffebe0e17bf6be3072e10"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a555dbc6d645ffebe0e17bf6be3072e10">&#9670;&#160;</a></span>CanBeDamaged()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionBarrierGate::CanBeDamaged </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d50/a00332_source.html#l00153">153</a> of file <a class="el" href="../../dc/d50/a00332_source.html">expansionbarriergate.c</a>.</p>

</div>
</div>
<a id="a86a68b4a47813e1d50193a35a396146b" name="a86a68b4a47813e1d50193a35a396146b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86a68b4a47813e1d50193a35a396146b">&#9670;&#160;</a></span>CanClose()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionBarrierGate::CanClose </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>selection</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d50/a00332_source.html#l00092">92</a> of file <a class="el" href="../../dc/d50/a00332_source.html">expansionbarriergate.c</a>.</p>

</div>
</div>
<a id="ad9637f1e8e804981d620b6e0c618a53d" name="ad9637f1e8e804981d620b6e0c618a53d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad9637f1e8e804981d620b6e0c618a53d">&#9670;&#160;</a></span>CanPutInCargo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionBarrierGate::CanPutInCargo </td>
          <td>(</td>
          <td class="paramtype">EntityAI&#160;</td>
          <td class="paramname"><em>parent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d50/a00332_source.html#l00044">44</a> of file <a class="el" href="../../dc/d50/a00332_source.html">expansionbarriergate.c</a>.</p>

</div>
</div>
<a id="ae373efc8e077700a29312da0a52876b4" name="ae373efc8e077700a29312da0a52876b4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae373efc8e077700a29312da0a52876b4">&#9670;&#160;</a></span>CanPutIntoHands()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionBarrierGate::CanPutIntoHands </td>
          <td>(</td>
          <td class="paramtype">EntityAI&#160;</td>
          <td class="paramname"><em>parent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d50/a00332_source.html#l00036">36</a> of file <a class="el" href="../../dc/d50/a00332_source.html">expansionbarriergate.c</a>.</p>

</div>
</div>
<a id="aafe623c55f6636233d56c1ad28f106c6" name="aafe623c55f6636233d56c1ad28f106c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aafe623c55f6636233d56c1ad28f106c6">&#9670;&#160;</a></span>Close()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionBarrierGate::Close </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>selection</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Door open animation</p>

<p class="definition">Definition at line <a class="el" href="../../dc/d50/a00332_source.html#l00115">115</a> of file <a class="el" href="../../dc/d50/a00332_source.html">expansionbarriergate.c</a>.</p>

</div>
</div>
<a id="affe64317670361fe3d336411affa79c5" name="affe64317670361fe3d336411affa79c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#affe64317670361fe3d336411affa79c5">&#9670;&#160;</a></span>ExpansionCanClose()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionBarrierGate::ExpansionCanClose </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../db/d1a/a03849.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>selection</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d50/a00332_source.html#l00083">83</a> of file <a class="el" href="../../dc/d50/a00332_source.html">expansionbarriergate.c</a>.</p>

</div>
</div>
<a id="aa2b880a68d5607a63eb88e468c68d4a9" name="aa2b880a68d5607a63eb88e468c68d4a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa2b880a68d5607a63eb88e468c68d4a9">&#9670;&#160;</a></span>ExpansionCanOpen()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionBarrierGate::ExpansionCanOpen </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../db/d1a/a03849.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>selection</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d50/a00332_source.html#l00068">68</a> of file <a class="el" href="../../dc/d50/a00332_source.html">expansionbarriergate.c</a>.</p>

</div>
</div>
<a id="a19488c9bffb47384ca1bbd230507b41c" name="a19488c9bffb47384ca1bbd230507b41c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19488c9bffb47384ca1bbd230507b41c">&#9670;&#160;</a></span>GetConstructionKitType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionBarrierGate::GetConstructionKitType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d50/a00332_source.html#l00060">60</a> of file <a class="el" href="../../dc/d50/a00332_source.html">expansionbarriergate.c</a>.</p>

</div>
</div>
<a id="a108c774e5a89b0ea6a29e8adca0b0ad7" name="a108c774e5a89b0ea6a29e8adca0b0ad7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a108c774e5a89b0ea6a29e8adca0b0ad7">&#9670;&#160;</a></span>IsInventoryVisible()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionBarrierGate::IsInventoryVisible </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d50/a00332_source.html#l00052">52</a> of file <a class="el" href="../../dc/d50/a00332_source.html">expansionbarriergate.c</a>.</p>

</div>
</div>
<a id="af6535e775aecfca9c1efc3c2fe0a3676" name="af6535e775aecfca9c1efc3c2fe0a3676"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af6535e775aecfca9c1efc3c2fe0a3676">&#9670;&#160;</a></span>Open()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionBarrierGate::Open </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>selection</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Door open animation</p>

<p class="definition">Definition at line <a class="el" href="../../dc/d50/a00332_source.html#l00103">103</a> of file <a class="el" href="../../dc/d50/a00332_source.html">expansionbarriergate.c</a>.</p>

</div>
</div>
<a id="a9c22a6a0373781097d43548434fccea2" name="a9c22a6a0373781097d43548434fccea2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9c22a6a0373781097d43548434fccea2">&#9670;&#160;</a></span>SetPartsAfterStoreLoad()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionBarrierGate::SetPartsAfterStoreLoad </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d50/a00332_source.html#l00178">178</a> of file <a class="el" href="../../dc/d50/a00332_source.html">expansionbarriergate.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/BaseBuilding/Scripts/4_world/dayzexpansion_basebuilding/entities/basebuilding/misc/deployable/<a class="el" href="../../dc/d50/a00332_source.html">expansionbarriergate.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d3/d23/a03717.html">ExpansionBarrierGate</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
